Bug 433347 - ipa-replica-prepare on non-master returns bad error msg
ipa-replica-prepare on non-master returns bad error msg
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-18 14:40 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add some additional error checking (1.92 KB, patch)
2008-02-20 16:33 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-02-18 14:40:35 EST
Description of problem:

On a machine with the IPA packages installed but haven't run ipa-server-install
or ipa-replica-install returns:

# ipa-replica-prepare foo
ERROR:root:could not find directory instance: /etc/dirsrv/slapd-EXAMPLE-COM/

Version-Release number of selected component (if applicable):

Changeset 641

How reproducible:

Every time

Steps to Reproduce:
1. ipa-replica-prepare <anything>
2.
3.
  
Actual results:

# ipa-replica-prepare foo
ERROR:root:could not find directory instance: /etc/dirsrv/slapd-EXAMPLE-COM/

Expected results:

Only a master can create a replica.

Or, IPA not configured.
Comment 1 Rob Crittenden 2008-02-20 16:33:17 EST
Created attachment 295452 [details]
Add some additional error checking

That problem was fixed in changeset 634

I did find a few places we weren't doing go error handling so I've patched
those.

Ideally a user will never see a python back trace.
Comment 2 Rob Crittenden 2008-02-21 16:28:44 EST
Committed in changeset 669
Comment 3 Yi Zhang 2008-05-29 11:53:49 EDT
QA Verified on May 29, 2008 (Yi)

Build used: May 29, 2008 (i386)


Test as below:
1> yum install ipa-server
2> run test above:
ipaserver[05/29/08 08:25] ipa-replica-prepare foo.com
The replica must be created on the primary IPA server.

Note You need to log in before you can comment on or make changes to this bug.